Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource.external
Class ExternalStaticResource

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.external.ExternalResource
              org.richfaces.resource.external.ExternalStaticResource

    public class ExternalStaticResource

extends org.richfaces.resource.external.ExternalResource

Author:
  Nick Belaevski

Field Summary
`static String` | `STATIC_RESOURCE_LOCATION_VARIABLE`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`ExternalStaticResource(String location, boolean skinDependent)`

Method Summary
`String` | `getExternalLocation()`
`InputStream` | `getInputStream()`
`String` | `getRequestPath()`
`Map<String,String>` | `getResponseHeaders()`
`URL` | `getURL()`
`boolean` | `userAgentNeedsUpdate(javax.faces.context.FacesContext context)`

Methods inherited from class javax.faces.application.Resource
`getContentType, getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STATIC_RESOURCE_LOCATION_VARIABLE

    public static final String STATIC_RESOURCE_LOCATION_VARIABLE

See Also:
  Constant Field Values

Constructor Detail

### ExternalStaticResource

    public ExternalStaticResource(String location,
                                  boolean skinDependent)

Method Detail

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Specified by:
    `getInputStream` in class `javax.faces.application.Resource`
  Throws:
    `IOException`

### getResponseHeaders

    public Map<String,String> getResponseHeaders()

  Specified by:
    `getResponseHeaders` in class `javax.faces.application.Resource`

### getRequestPath

    public String getRequestPath()

  Specified by:
    `getRequestPath` in class `javax.faces.application.Resource`

### getURL

    public URL getURL()

  Specified by:
    `getURL` in class `javax.faces.application.Resource`

### userAgentNeedsUpdate

    public boolean userAgentNeedsUpdate(javax.faces.context.FacesContext context)

  Specified by:
    `userAgentNeedsUpdate` in class `javax.faces.application.Resource`

### getExternalLocation

    public String getExternalLocation()

  Specified by:
    `getExternalLocation` in class `org.richfaces.resource.external.ExternalResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.